"use strict";
/**
 * Copyright 2024 Angus.Fenying <fenying@litert.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __setFunctionName = (this && this.__setFunctionName) || function (f, name, prefix) {
    if (typeof name === "symbol") name = name.description ? "[".concat(name.description, "]") : "";
    return Object.defineProperty(f, "name", { configurable: true, value: prefix ? "".concat(prefix, " ", name) : name });
};
var _a, _b, _c, _d, _e, _f;
Object.defineProperty(exports, "__esModule", { value: true });
exports.E_NO_RESPONSE_ENTITY = exports.E_TOO_LARGE_RESPONSE_ENTITY = exports.E_PROTOCOL_NOT_SUPPORTED = exports.E_NO_CONTENT_LENGTH = exports.E_UNKNOWN_AUTH_TYPE = exports.E_EMPTY_AUTH_CREDENTIALS = exports.AbstractHttpClientError = void 0;
/**
 * The base class of all HttpClient errors.
 */
class AbstractHttpClientError extends Error {
    constructor(context = {}, origin = null) {
        super();
        this.context = context;
        this.origin = origin;
        this.name = this.constructor.id;
        this.message = this.constructor.message;
        if (this.constructor.context) {
            this.context = {
                ...this.constructor.context,
                ...context,
            };
        }
    }
}
exports.AbstractHttpClientError = AbstractHttpClientError;
/**
 * The unique identifier of the exception.
 */
AbstractHttpClientError.id = 'unknown';
/**
 * The description message of the exception.
 */
AbstractHttpClientError.message = 'unknown';
exports.E_EMPTY_AUTH_CREDENTIALS = (_a = class extends AbstractHttpClientError {
    },
    __setFunctionName(_a, "E_EMPTY_AUTH_CREDENTIALS"),
    _a.id = 'empty_auth_credentials',
    _a.message = 'The authentication credential is empty.',
    _a);
exports.E_UNKNOWN_AUTH_TYPE = (_b = class extends AbstractHttpClientError {
    },
    __setFunctionName(_b, "E_UNKNOWN_AUTH_TYPE"),
    _b.id = 'unknown_auth_type',
    _b.message = 'The type of authentication is not recognizable.',
    _b);
exports.E_NO_CONTENT_LENGTH = (_c = class extends AbstractHttpClientError {
    },
    __setFunctionName(_c, "E_NO_CONTENT_LENGTH"),
    _c.id = 'no_content_length',
    _c.message = 'The header content-length is not specific.',
    _c);
exports.E_PROTOCOL_NOT_SUPPORTED = (_d = class extends AbstractHttpClientError {
    },
    __setFunctionName(_d, "E_PROTOCOL_NOT_SUPPORTED"),
    _d.id = 'protocol_not_supported',
    _d.message = 'The protocol is not supported.',
    _d);
exports.E_TOO_LARGE_RESPONSE_ENTITY = (_e = class extends AbstractHttpClientError {
    },
    __setFunctionName(_e, "E_TOO_LARGE_RESPONSE_ENTITY"),
    _e.id = 'too_large_response_entity',
    _e.message = 'The entity of response is too large.',
    _e);
exports.E_NO_RESPONSE_ENTITY = (_f = class extends AbstractHttpClientError {
    },
    __setFunctionName(_f, "E_NO_RESPONSE_ENTITY"),
    _f.id = 'no_response_entity',
    _f.message = 'The response entity is empty.',
    _f);
//# sourceMappingURL=Errors.js.map