/**
 * Copyright 2024 Angus.Fenying <fenying@litert.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/// <reference types="node" />
import * as C from '../Common';
import * as $H1 from 'http';
import * as A from './Abstract';
import { AbstractHttp1Client } from './AbstractHttp1Client';
export declare class H1Client extends AbstractHttp1Client implements A.IProtocolClient {
    private _agents;
    constructor(helper: A.IHelper);
    close(): void;
    protected _getAgent(opts: C.IRequestOptions, key?: string): $H1.Agent;
    request(opts: C.IRequestOptions): Promise<A.IRequestResult>;
    getAuthorityKey(opts: C.IRequestOptions): string;
}
//# sourceMappingURL=H1Client.d.ts.map