"use strict";
/**
 * Copyright 2024 Angus.Fenying <fenying@litert.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.H2Client = void 0;
const AbstractHttp2Client_1 = require("./AbstractHttp2Client");
class H2Client extends AbstractHttp2Client_1.AbstractHttp2Client {
    constructor(helper) {
        super(helper);
    }
    async request(opts) {
        return this._processRequest(opts);
    }
    _prepareOptions(opts) {
        const h2Opts = {};
        if (opts.localAddress) {
            h2Opts.localAddress = opts.localAddress;
        }
        return {
            ...h2Opts,
            ...opts.connectionOptions
        };
    }
    getAuthorityKey(opts) {
        return `${this._.getAuthority(opts.url)}/la:${opts.localAddress}`;
    }
}
exports.H2Client = H2Client;
//# sourceMappingURL=H2Client.js.map